use crate::app::SharedApp;

#[mockall_double::double]
use super::FileStore;

pub trait FileStoreExt {
    fn file_store(&self) -> FileStore;
}

impl FileStoreExt for SharedApp {
    fn file_store(&self) -> FileStore {
        FileStore::new(self.s3_client.clone())
    }
}
